Index: trunk/sources/HeuristicLab.MainForm.Test/3.2/ButtonItems/NewEditorToolStripButtonItem.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm.Test/3.2/ButtonItems/NewEditorToolStripButtonItem.cs	(revision 2269)
+++ trunk/sources/HeuristicLab.MainForm.Test/3.2/ButtonItems/NewEditorToolStripButtonItem.cs	(revision 2458)
@@ -3,7 +3,8 @@
 using System.Linq;
 using System.Text;
+using HeuristicLab.MainForm.WindowsForms;
 
 namespace HeuristicLab.MainForm.Test {
-  public class NewEditorToolStripButtonItem : ToolStripButtonItemBase, ITestUserInterfaceItemProvider {
+  public class NewEditorToolStripButtonItem : HeuristicLab.MainForm.WindowsForms.ToolBarItemBase, ITestUserInterfaceItemProvider {
     public override int Position {
       get { return 12; }
@@ -14,10 +15,14 @@
     }
 
-    public override string Structure {
-      get { return "New"; }
+    public override IEnumerable<string> Structure {
+      get { return new string []{"New"}; }
     }
 
-    public override void Execute(IMainForm mainform) {
-      new NewEditorAction().Execute(mainform);
+    public override System.Windows.Forms.ToolStripItemDisplayStyle ToolStripItemDisplayStyle {
+      get { return System.Windows.Forms.ToolStripItemDisplayStyle.ImageAndText; }
+    }
+
+    public override void Execute() {
+      NewEditorAction.Execute(MainFormManager.MainForm);
     }
   }
Index: trunk/sources/HeuristicLab.MainForm.Test/3.2/ButtonItems/NewFormToolStripButtonItem.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm.Test/3.2/ButtonItems/NewFormToolStripButtonItem.cs	(revision 2269)
+++ trunk/sources/HeuristicLab.MainForm.Test/3.2/ButtonItems/NewFormToolStripButtonItem.cs	(revision 2458)
@@ -3,7 +3,8 @@
 using System.Linq;
 using System.Text;
+using HeuristicLab.MainForm.WindowsForms;
 
 namespace HeuristicLab.MainForm.Test {
-  public class NewFormToolStripButtonItem : ToolStripButtonItemBase, ITestUserInterfaceItemProvider {
+  public class NewFormToolStripButtonItem : HeuristicLab.MainForm.WindowsForms.ToolBarItemBase, ITestUserInterfaceItemProvider {
     public override int Position {
       get { return 11; }
@@ -14,10 +15,14 @@
     }
 
-    public override string Structure {
-      get { return "New"; }
+    public override IEnumerable<string> Structure {
+      get { return new string[] { "New" }; }
     }
 
-    public override void Execute(IMainForm mainform) {
-      new NewFormAction().Execute(mainform);
+    public override System.Windows.Forms.ToolStripItemDisplayStyle ToolStripItemDisplayStyle {
+      get { return System.Windows.Forms.ToolStripItemDisplayStyle.ImageAndText; }
+    }
+
+    public override void Execute() {
+      new NewFormAction().Execute(MainFormManager.MainForm);
     }
   }
Index: trunk/sources/HeuristicLab.MainForm.Test/3.2/ButtonItems/NewToolStripButtonItem.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm.Test/3.2/ButtonItems/NewToolStripButtonItem.cs	(revision 2269)
+++ trunk/sources/HeuristicLab.MainForm.Test/3.2/ButtonItems/NewToolStripButtonItem.cs	(revision 2458)
@@ -3,7 +3,8 @@
 using System.Linq;
 using System.Text;
+using HeuristicLab.MainForm.WindowsForms;
 
 namespace HeuristicLab.MainForm.Test {
-  public class NewToolStripButtonItem : ToolStripButtonItemBase, ITestUserInterfaceItemProvider {
+  public class NewToolStripButtonItem : HeuristicLab.MainForm.WindowsForms.ToolBarItemBase, ITestUserInterfaceItemProvider {
     public override int Position {
       get { return 10; }
@@ -22,5 +23,5 @@
     }
 
-    public override void Execute(IMainForm mainform) {
+    public override void Execute() {
     }
   }
Index: trunk/sources/HeuristicLab.MainForm.Test/3.2/ButtonItems/OpenToolStripButtonItem.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm.Test/3.2/ButtonItems/OpenToolStripButtonItem.cs	(revision 2269)
+++ trunk/sources/HeuristicLab.MainForm.Test/3.2/ButtonItems/OpenToolStripButtonItem.cs	(revision 2458)
@@ -3,7 +3,8 @@
 using System.Linq;
 using System.Text;
+using HeuristicLab.MainForm.WindowsForms;
 
 namespace HeuristicLab.MainForm.Test {
-  public class OpenToolStripButtonItem : ToolStripButtonItemBase, ITestUserInterfaceItemProvider {
+  public class OpenToolStripButtonItem : ToolBarItemBase, ITestUserInterfaceItemProvider {
     public override int Position {
       get { return 20; }
@@ -18,6 +19,6 @@
     }
 
-    public override void Execute(IMainForm mainform) {
-      new OpenAction().Execute(mainform);
+    public override void Execute() {
+      new OpenAction().Execute(MainFormManager.MainForm);
     }
   }
Index: trunk/sources/HeuristicLab.MainForm.Test/3.2/ButtonItems/SaveToolStripButtonItem.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm.Test/3.2/ButtonItems/SaveToolStripButtonItem.cs	(revision 2269)
+++ trunk/sources/HeuristicLab.MainForm.Test/3.2/ButtonItems/SaveToolStripButtonItem.cs	(revision 2458)
@@ -3,7 +3,8 @@
 using System.Linq;
 using System.Text;
+using HeuristicLab.MainForm.WindowsForms;
 
 namespace HeuristicLab.MainForm.Test {
-  public class SaveToolStripButtonItem : ToolStripButtonItemBase, ITestUserInterfaceItemProvider {
+  public class SaveToolStripButtonItem : HeuristicLab.MainForm.WindowsForms.ToolBarItemBase, ITestUserInterfaceItemProvider {
     public override int Position {
       get { return 30; }
@@ -18,14 +19,14 @@
     }
 
-    public override void Execute(IMainForm mainform) {
-      new SaveAction().Execute(mainform);
+    public override void Execute() {
+      new SaveAction().Execute(MainFormManager.MainForm);
     }
 
     public override void ActiveViewChanged(object sender, EventArgs e) {
-      IMainForm mainform = (IMainForm)sender;
+      IMainForm mainform = MainFormManager.MainForm;
       if (mainform.ActiveView == null)
         this.ToolStripItem.Enabled = false;
       else
-        this.ToolStripItem.Enabled = !(mainform.ActiveView is FormView);
+        this.ToolStripItem.Enabled = !(mainform.ActiveView is FormView1);
     }
 
